package org.bench4q.share.models.master;

import java.util.List;

import org.bench4q.share.models.agent.scriptrecord.BehaviorModel;
import org.bench4q.share.models.agent.scriptrecord.UsePluginModel;

public class PluginEditScriptRequestModel {

	List<BehaviorModel> behaviorModels;
	List<UsePluginModel> usePluginModels;
	String scriptName;

	public List<BehaviorModel> getBehaviorModels() {
		return behaviorModels;
	}

	public void setBehaviorModels(List<BehaviorModel> behaviorModels) {
		this.behaviorModels = behaviorModels;
	}

	public List<UsePluginModel> getUsePluginModels() {
		return usePluginModels;
	}

	public void setUsePluginModels(List<UsePluginModel> usePluginModels) {
		this.usePluginModels = usePluginModels;
	}

	public String getScriptName() {
		return scriptName;
	}

	public void setScriptName(String scriptName) {
		this.scriptName = scriptName;
	}

}
